# DataExchange
TKSTEP
STEPEdit

# STEPEdit_EditContext Class Reference

EditContext is an Editor fit for
Product Definition Context (one per Model) , i.e. :
- ProductDefinition
- ApplicationProtocolDefinition
- ProductRelatedProductCategory
.

`#include <STEPEdit_EditContext.hxx>`

Inheritance diagram for STEPEdit_EditContext:

[legend]

## Public Member Functions

Standard_EXPORT | STEPEdit_EditContext ()
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns the specific label .
Standard_EXPORT Standard_Boolean | Recognize (const Handle(IFSelect_EditForm)&form) const
| Tells if this Editor can work on this EditForm and its content (model, entity ?) .
Standard_EXPORT Handle_TCollection_HAsciiString | StringValue (const Handle(IFSelect_EditForm)&form, const Standard_Integer num) const
| Returns the value of an EditForm, for a given item (if not a list. for a list, a Null String may be returned) .
Standard_EXPORT Standard_Boolean | Apply (const Handle(IFSelect_EditForm)&form, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Applies modified values of the EditForm with some data Remark: <ent> may be Null, this means all <model> is concerned Also <model> may be Null, if no context applies for <ent> And both <ent> and <model> may be Null, for a full static editor .
Standard_EXPORT Standard_Boolean | Load (const Handle(IFSelect_EditForm)&form, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Loads original values from some data, to an EditForm Remark: <ent> may be Null, this means all <model> is concerned Also <model> may be Null, if no context applies for <ent> And both <ent> and <model> may be Null, for a full static editor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT STEPEdit_EditContext::STEPEdit_EditContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean STEPEdit_EditContext::Apply | ( | const Handle(IFSelect_EditForm)& | form,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT const STEPEdit_EditContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Editor.

Standard_EXPORT TCollection_AsciiString STEPEdit_EditContext::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT Standard_Boolean STEPEdit_EditContext::Load | ( | const Handle(IFSelect_EditForm)& | form,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT Standard_Boolean STEPEdit_EditContext::Recognize | ( | const Handle(IFSelect_EditForm)& | form | ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT Handle_TCollection_HAsciiString STEPEdit_EditContext::StringValue | ( | const Handle(IFSelect_EditForm)& | form,
|  | const Standard_Integer | num
| ) | const`[virtual]`

| Implements IFSelect_Editor.

The documentation for this class was generated from the following file:

- STEPEdit_EditContext.hxx